=== debian/changelog ===
hustmirror-cli (1.0.0) unstable; urgency=medium

  * new package

 -- xiangzelong <xiangzelong@deepin.org>  Thu, 09 May 2024 15:38:23 +0800
